Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# PortableInterceptor::ORBInitInfo::DuplicateName Exception Reference

`#include <PortableInterceptorC.h>`

Collaboration diagram for PortableInterceptor::ORBInitInfo::DuplicateName:

[legend]
List of all members.

## Public Methods
| DuplicateName (void)
| DuplicateName (const DuplicateName &)
| ~DuplicateName (void)
DuplicateName & | operator= (const DuplicateName &)
virtual CORBA::Exception * | _tao_duplicate (void) const
virtual void | _raise (void)
virtual void | _tao_encode (TAO_OutputCDR &ACE_ENV_ARG_DECL_NOT_USED) const
virtual void | _tao_decode (TAO_InputCDR &ACE_ENV_ARG_DECL_NOT_USED)
| DuplicateName (const char *_tao_name)
## Static Public Methods
DuplicateName * | _downcast (CORBA::Exception *)
CORBA::Exception * | _alloc (void)
## Public Attributes
string | name
TAO_String_Manager | name

## Constructor & Destructor Documentation

PortableInterceptor::ORBInitInfo::DuplicateName::DuplicateName | ( | void |  | ) |

PortableInterceptor::ORBInitInfo::DuplicateName::DuplicateName | ( | const DuplicateName & |  | ) |

PortableInterceptor::ORBInitInfo::DuplicateName::~DuplicateName | ( | void |  | ) |

PortableInterceptor::ORBInitInfo::DuplicateName::DuplicateName | ( | const char * | _tao_name | ) |

## Member Function Documentation

CORBA::Exception* PortableInterceptor::ORBInitInfo::DuplicateName::_alloc | ( | void |  | ) | `[static]`

DuplicateName* PortableInterceptor::ORBInitInfo::DuplicateName::_downcast | ( | CORBA::Exception * |  | ) | `[static]`

virtual void PortableInterceptor::ORBInitInfo::DuplicateName::_raise | ( | void |  | ) | `[virtual]`

virtual void PortableInterceptor::ORBInitInfo::DuplicateName::_tao_decode | ( | TAO_InputCDR & | ACE_ENV_ARG_DECL_NOT_USED | ) | `[virtual]`

virtual CORBA::Exception* PortableInterceptor::ORBInitInfo::DuplicateName::_tao_duplicate | ( | void |  | ) | const`[virtual]`

virtual void PortableInterceptor::ORBInitInfo::DuplicateName::_tao_encode | ( | TAO_OutputCDR & | ACE_ENV_ARG_DECL_NOT_USED | ) | const`[virtual]`

DuplicateName& PortableInterceptor::ORBInitInfo::DuplicateName::operator= | ( | const DuplicateName & |  | ) |

## Member Data Documentation

TAO_String_Manager PortableInterceptor::ORBInitInfo::DuplicateName::name

string PortableInterceptor::ORBInitInfo::DuplicateName::name

The documentation for this exception was generated from the following files:

- PortableInterceptor.pidl
- PortableInterceptorC.h